# scdumpcfg — SeisComP Release documentation

6.9.0

# scdumpcfg

Dump bindings or module configurations used by a specific module or global for particular stations.

## Description

scdumpcfg reads and prints the module or bindings configuration for a specific module or for global. It even prints the global bindings for modules which do not have module bindings, such as scmv.

This command-line utility is therefore useful for debugging configuration parameters.

Instead of printing parameters and values for stations, the option `--nlsc` allows printing a list of the channel considering bindings. The output may be used, e.g., for

- filtering inventory by invextr

- miniSEED records by scart or scmssort

- event information by scevtstreams.

Related to scdumpcfg is bindings2cfg which dumps the bindings configuration to SCML.

## Examples

1. Dump the global bindings configuration for all stations which have global bindings:

       scdumpcfg global -d mysql://sysop:sysop@localhost/seiscomp -B

2. Dump the bindings configuration for all stations which have bindings to a scautopick profile. Additionally use -G as scautopick inherits global bindings:

       scdumpcfg scautopick -d localhost -GB

3. Dump the module global module configuration specifcally searching for the map zoom sensitivity and output the result in the format of the SeisComP module configuration:

       scdumpcfg global -d localhost --cfg -P map.zoom.sensitivity

4. Dump the module configuration of scautopick and output in the format of the SeisComP module configuration:

       scdumpcfg scautopick -d localhost --cfg

5. Dump global bindings configuration considerd by scmv:

       scdumpcfg scmv -d localhost -BG

6. Dump the channel codes defined by scautopick binding as a list of NET.STA.LOC.CHA:

       scdumpcfg scautopick -d localhost -B --nslc

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scdumpcfg.cfg`
`etc/global.cfg`
`etc/scdumpcfg.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scdumpcfg.cfg`

scdumpcfg inherits global options.

## Command-Line Options

scdumpcfg [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--config-db arg

  Load the configuration from the given database or file, format: [service://]location .

### Dump

-B, --bindings arg

  Dump bindings instead of module configuration.

-G, --allow-global arg

  Print global bindings if no module binding is available.

-P, --param arg

  Specify the parameter name(s) to filter for. Use comma separation of multiple parameters.

--cfg

  Print output in .cfg format. Does not work along with -B.

--nslc

  Print the list of channels which have bindings of the given module. Requires to set -B. Can be used by other modules, e.g., invextr, scart, scmssort, scevtstreams.